Skip to main content
`Ctrl`+`K`

# TSPseudoVerifyTimeStepDefault

Default code to verify the quality of the last timestep.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSPseudoVerifyTimeStepDefault(TS ts, Vec update, void *dtctx, PetscReal *newdt, PetscBool *flag)

Collective, No Fortran Support

## Input Parameters

- ts - the timestep context

- dtctx - unused timestep context

- update - latest solution vector

## Output Parameters

- newdt - the timestep to use for the next step

- flag - flag indicating whether the last time step was acceptable

## Note

This routine always returns a flag of 1, indicating an acceptable timestep.

## See Also

TS: Scalable ODE and DAE Solvers, `TSPSEUDO`, `TSPseudoSetVerifyTimeStep()`, `TSPseudoVerifyTimeStep()`

## Level

advanced

## Location

src/ts/impls/pseudo/posindep.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages